#!/bin/sh
#------------------------------------------------
# IPIP tunnel config scipt on proxy side
#
# By Yu Cai (ycai@uccs.edu) at UCCS, June 2003
#------------------------------------------------

./cleanipip.sh

/sbin/iptables -F
/sbin/iptables -P INPUT ACCEPT
/sbin/iptables -P FORWARD ACCEPT
#enable ip forwarding
echo "1" > /proc/sys/net/ipv4/ip_forward

# The following 2 lines to be able to talk between the subnets
/sbin/iptables -A FORWARD -s 192.168.4.2 -d 192.168.0.1 -j ACCEPT
/sbin/iptables -A FORWARD -d 192.168.4.2 -s 192.168.0.1 -j ACCEPT
/sbin/iptables -A FORWARD -s 192.168.2.4 -d 192.168.0.1 -j ACCEPT
/sbin/iptables -A FORWARD -d 192.168.2.4 -s 192.168.0.1 -j ACCEPT
/sbin/iptables -A FORWARD -s 128.198.60.167 -d 192.168.0.1 -j ACCEPT
/sbin/iptables -A FORWARD -d 128.198.60.167 -s 192.168.0.1 -j ACCEPT

#define var
client_ip=192.168.0.1
proxy_ip=192.168.0.3
proxy_gw=192.168.0.3

#config tunnel between proxy and client
tunl=tunl1
/sbin/ip tunnel del $tunl 
/sbin/ip tunnel add $tunl mode ipip remote $client_ip dev eth0 
/sbin/ifconfig $tunl $proxy_ip
/sbin/ip link set $tunl up
/sbin/ip route del $client_ip 
/sbin/ip route add $client_ip via $proxy_gw  dev $tunl 

#config tunnel between proxy and gateway
tunl=tunl2
proxy_ip=192.168.2.3
proxy_gw=192.168.2.3
gw_ip=192.168.2.4
target_ip=192.168.4.2 #128.198.60.167
/sbin/ip tunnel del $tunl 
/sbin/ip tunnel add $tunl mode ipip remote $gw_ip dev eth1 
/sbin/ifconfig $tunl $proxy_ip
/sbin/ip link set $tunl up
/sbin/ip route del $gw_ip 
/sbin/ip route add $gw_ip via $proxy_gw dev $tunl 

#route between proxy and target through tunnel
/sbin/ip route del $target_ip 
/sbin/ip route add $target_ip via $proxy_gw dev $tunl 

target_ip=128.198.60.167
/sbin/ip route del $target_ip
/sbin/ip route add $target_ip via $proxy_gw dev $tunl
